BTOWC(3)

NAME
btowc - convert a single byte character to a wide character

LIBRARY
libc

SYNOPSIS
#include <wchar.h>
wint_t
btowc(int c);

DESCRIPTION
The btowc() function converts a single byte character c in the initial shift state of the current locale to a corresponding wide character.

The behaviour of btowc() is affected by the LC_CTYPE category of the current locale.

RETURN VALUES
The btowc() function returns:

WEOF
    If c is EOF or if (unsigned char) c does not correspond to a valid single byte character representation.

(otherwise)
    A wide character corresponding to c.

ERRORS
No errors are defined.

SEE ALSO
mbrtowc(3), setlocale(3), wctob(3)

STANDARDS
The btowc() function conforms to isoC-amd1.